## acr 2.2.0

=== dist/acr/Makefile ===
PACKAGE_DIR=$(shell pwd)
include ./CONFIG
DEPENDS=
ABSROOT=$(shell pwd)/root

SUDO=fakeroot
SUDO=sudo
SUDO=

all:
	$(SUDO) rm -rf control data
	${MAKE} clean
	$(MAKE) root
	cp -aRf root data
	${MAKE} control
	${MAKE} deb

root: $(ABSROOT)

$(ABSROOT):
	mkdir $(ABSROOT)
	cd ../.. ; ./configure --prefix=/usr ; make install DESTDIR=$(ABSROOT)

include ../deb_hand.mak

## acr 0.9.6

=== debian/changelog ===
acr (0.9.6-1) unstable; urgency=low

  * Initial release. (Closes: #721392)

 -- Ruben Pollan <meskio@sindominio.net>  Tue, 17 Sep 2013 22:31:20 +0200

=== debian/control ===
Source: acr
Section: devel
Priority: optional
Maintainer: Ruben Pollan <meskio@sindominio.net>
Build-Depends:
 debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://www.nopcode.org/wk.php/Acr

Package: acr
Architecture: all
Depends:
 ${misc:Depends}
Description: autoconf like tool
 ACR is an autoconf like tool that allows you to create configure scripts for 
 your programs. The main aim of this tool is to teach developers how to create 
 portable builds of their tools, just using generic functions wrapped by acr to 
 generate portable shellscript.
 .
 Pros:
   * Easy to learn / implement.
   * Faster/smaller final configure script.
   * Own syntax, not complex m4 macros.
   * Reverse engineering tool to recover .acr files from the final configure 
     script.
   * Good documentation and tutorials.
   * vim syntax highlighting for configure.acr files 
     ($PREFIX/share/acr/vim/install.sh)
   * Debugging support (-d)
   * Integrated support for java, bash, perl, Tcl, c, c++, ruby and Python.
   * Recursive configure script calls.
   * Progress bar in generation stage.
 .
 Cons:
   * Not recommended for huge projects
   * Slow script generation parsing huge configuration files
   * No automake replace. (just type clean makefiles and acr substs)
   * Not enough tested (only on free operating systems (Open|Net|Free|Dfly)BSD,
     GNU systems, and Darwin).

## acr 1.2

=== debian/changelog ===
acr (1.2-1) unstable; urgency=medium

  * New upstream release.
  * Uploaded to unstable.

 -- Ruben Pollan <meskio@sindominio.net>  Fri, 16 Jun 2017 18:49:32 +0200

acr (0.9.9-1) experimental; urgency=medium

  * New upstream release. (Closes: #772194)

 -- Ruben Pollan <meskio@sindominio.net>  Fri, 16 Jan 2015 10:21:26 -0600

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ruben Pollan <meskio@sindominio.net>
 Build-Depends:
- debhelper (>= 9)
-Standards-Version: 3.9.3
-Homepage: http://www.nopcode.org/wk.php/Acr
+ debhelper (>= 10)
+Standards-Version: 3.9.8
+Homepage: https://github.com/radare/acr
 
 Package: acr
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --mandir=/usr/share/man

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/acr/usr/share/vim/
	mv debian/acr/usr/share/doc/acr/vim/ftplugin debian/acr/usr/share/vim/
	mv debian/acr/usr/share/doc/acr/vim/syntax debian/acr/usr/share/vim/
	rm -rf debian/acr/usr/share/doc/acr/vim

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1.tar.gz/ \
  https://github.com/radare/acr/tags .*/v?(\d\S*)\.tar\.gz

## acr 1.6.2

=== debian/changelog ===
acr (1.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Ruben Pollan <meskio@sindominio.net>  Fri, 18 May 2018 20:20:29 +0200

acr (1.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Ruben Pollan <meskio@sindominio.net>  Mon, 16 Apr 2018 09:54:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Ruben Pollan <meskio@sindominio.net>
 Build-Depends:
  debhelper (>= 10)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://github.com/radare/acr
 
 Package: acr
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Description: autoconf like tool

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --prefix=/usr --mandir=/usr/share/man

## acr 1.7.0

=== debian/changelog ===
acr (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ruben Pollan <meskio@sindominio.net>  Tue, 02 Oct 2018 12:40:27 -0500

## acr 1.7.2

=== debian/changelog ===
acr (1.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Ruben Pollan <meskio@sindominio.net>  Thu, 21 Feb 2019 13:36:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ruben Pollan <meskio@sindominio.net>
 Build-Depends:
- debhelper (>= 10)
+ debhelper (>= 11)
 Standards-Version: 4.1.4
 Homepage: https://github.com/radare/acr

## acr 1.9.2

=== debian/changelog ===
acr (1.9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Ruben Pollan <meskio@sindominio.net>  Mon, 11 May 2020 17:50:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Ruben Pollan <meskio@sindominio.net>
 Build-Depends:
- debhelper (>= 11)
-Standards-Version: 4.1.4
+ debhelper (>= 12)
+Standards-Version: 4.5.0
 Homepage: https://github.com/radare/acr
+Rules-Requires-Root: no
 
 Package: acr
 Architecture: all

## acr 1.9.4

=== debian/changelog ===
acr (1.9.4-1) unstable; urgency=medium

  * New upstream release.

 -- Ruben Pollan <meskio@sindominio.net>  Wed, 11 Nov 2020 13:04:48 +0100

=== debian/control ===
Source: acr
Section: devel
Priority: optional
Maintainer: Ruben Pollan <meskio@sindominio.net>
Build-Depends:
 debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://github.com/radare/acr
Rules-Requires-Root: no

Package: acr
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: autoconf like tool
 ACR is an autoconf like tool that allows you to create configure scripts for
 your programs. The main aim of this tool is to teach developers how to create
 portable builds of their tools, just using generic functions wrapped by acr to
 generate portable shellscript.
 .
 Pros:
   * Easy to learn / implement.
   * Faster/smaller final configure script.
   * Own syntax, not complex m4 macros.
   * Reverse engineering tool to recover .acr files from the final configure
     script.
   * Good documentation and tutorials.
   * vim syntax highlighting for configure.acr files
     ($PREFIX/share/acr/vim/install.sh)
   * Debugging support (-d)
   * Integrated support for java, bash, perl, Tcl, c, c++, ruby and Python.
   * Recursive configure script calls.
   * Progress bar in generation stage.
 .
 Cons:
   * Not recommended for huge projects
   * Slow script generation parsing huge configuration files
   * No automake replace. (just type clean makefiles and acr substs)
   * Not enough tested (only on free operating systems (Open|Net|Free|Dfly)BSD,
     GNU systems, and Darwin).

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --prefix=/usr --mandir=/usr/share/man
+	dh_auto_configure -- --mandir=/usr/share/man
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/acr-$1.tar.gz/ \
  https://github.com/radare/acr/tags .*/v?(\d\S*)\.tar\.gz

## acr 2.1.2

=== debian/changelog ===
acr (2.1.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: updated long description.
  * debian/copyright: updated upstream copyright date.
  * debian/patches/001_fix-acr-install-man.patch:
      - Updated patch with new lines from source code.
      - Fix typos in manpages (acr-wrap.1 and configure.acr.5).

 -- Thiago Marques Siqueira <thiagoms.15@gmail.com>  Sun, 13 Aug 2023 16:03:33 +0100

acr (1.9.4-3) unstable; urgency=medium

  * QA upload.
  * Uploaded to unstable.
  * debian/control: added the Vcs-* fields.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Thiago Marques Siqueira <thiagoms.15@gmail.com>  Sat, 29 Jul 2023 18:02:44 +0100

acr (1.9.4-2) experimental; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #1038633)
  * debian/acr-sh.1: created to provide a manpage.
  * debian/control:
      - Bumped Standards-Version to 4.6.2.
      - Updated the upstream homepage.
      - Updated long description.
  * debian/copyright:
      - Updated upstream copyright data.
      - Updated packaging copyright data.
      - Updated text license to debian standard.
  * debian/patches/001_fix-acr-install-man.patch:
      - Enable to install manpage (this is commented in upstream's makefile).
      - Fix command name in manpage.
  * debian/rules: replaced override_dh_auto_install by
    execute_after_dh_auto_install.
  * debian/tests/control: added superficial test.
  * debian/upstream/metadata: created file.
  * debian/watch:
      - Bumped to version 4.
      - Changed to use macros for version and extension.

 -- Thiago Marques Siqueira <thiagoms.15@gmail.com>  Sun, 09 Jul 2023 17:11:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: acr
 Section: devel
 Priority: optional
-Maintainer: Ruben Pollan <meskio@sindominio.net>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13)
-Standards-Version: 4.5.0
-Homepage: https://github.com/radare/acr
+Standards-Version: 4.6.2
+Homepage: https://github.com/radareorg/acr
+Vcs-Git: https://salsa.debian.org/debian/acr.git
+Vcs-Browser: https://salsa.debian.org/debian/acr
 Rules-Requires-Root: no
 
 Package: acr
@@ -14,10 +16,10 @@
 Depends:
  ${misc:Depends}
 Description: autoconf like tool
- ACR is an autoconf like tool that allows you to create configure scripts for
- your programs. The main aim of this tool is to teach developers how to create
- portable builds of their tools, just using generic functions wrapped by acr to
- generate portable shellscript.
+ ACR (Auto Conf Replacement) is an autoconf like tool that allows you to create
+ configure scripts for your programs. The main aim of this tool is to teach
+ developers how to create portable builds of their tools, just using generic
+ functions wrapped by acr to generate portable shellscript.
  .
  Pros:
    * Easy to learn / implement.
@@ -39,3 +41,11 @@
    * No automake replace. (just type clean makefiles and acr substs)
    * Not enough tested (only on free operating systems (Open|Net|Free|Dfly)BSD,
      GNU systems, and Darwin).
+ .
+ This package provides the following components:
+   * acr        : generate configure scripts.
+   * acr-cat    : show configure.acr file from a generated configure script.
+   * acr-install: '/usr/bin/install' program wrapper.
+   * acr-sh     : acr configure script generator.
+   * acr-wrap   : generate a makefile from a meson wrap file.
+   * amr        : generate sample/final Makefiles.

## acr 2.1.4

=== debian/changelog ===
acr (2.1.4-1) unstable; urgency=medium

  * New upstream version 2.1.4
  * New Maintainer (Closes: #1038633)
  * d/control:
    - Change Maintainer name
    - Bump Standards-Version to 4.7.0
  * d/copyright: Add 'Akash Doppalapudi' to 'debian/*' copyright stanza
  * d/gbp.conf: Add gbp.conf file

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Fri, 09 Aug 2024 17:53:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: acr
 Section: devel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Akash Doppalapudi <akashdoppalapudi2001@gmail.com>
 Build-Depends:
  debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/radareorg/acr
 Vcs-Git: https://salsa.debian.org/debian/acr.git
 Vcs-Browser: https://salsa.debian.org/debian/acr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/acr-$1.tar.gz/ \
  https://github.com/radare/acr/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## acr 2.2.0

=== debian/changelog ===
acr (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * d/control: Bump Standards-Version to 4.7.1

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Sat, 22 Feb 2025 08:51:44 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Akash Doppalapudi <akashdoppalapudi2001@gmail.com>
 Build-Depends:
  debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/radareorg/acr
 Vcs-Git: https://salsa.debian.org/debian/acr.git
 Vcs-Browser: https://salsa.debian.org/debian/acr

## acr 2.2.2

=== debian/changelog ===
acr (2.2.2-1) unstable; urgency=medium

  * New upstream version 2.2.2
  * d/control: Bump Standards-Version to 4.7.2

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Tue, 15 Jul 2025 02:08:53 +0000

## acr 2.2.4

=== dist/Makefile ===
all:
	make -C acr

clean:
	make -C acr clean

mrproper:
	make -C acr mrproper

=== man/Makefile ===
all:
	man -M ${PWD} acr-cat
	man -M ${PWD} acr
	man -M ${PWD} amr
	#man -M ${PWD} install-acr
	man -M ${PWD} configure.acr

=== tests/Makefile ===
all:
	sh test.sh

=== debian/changelog ===
acr (2.2.4-2) unstable; urgency=medium

  * d/p/002-cxx-cross-compiler.patch:
    - Patch for cxx cross compiler detection (Closes: #1117018)

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Sun, 19 Oct 2025 13:18:58 +0530

acr (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Thu, 25 Sep 2025 21:49:12 +0530

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Akash Doppalapudi <akashdoppalapudi2001@gmail.com>
 Build-Depends:
  debhelper-compat (= 13)
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/radareorg/acr
 Vcs-Git: https://salsa.debian.org/debian/acr.git
 Vcs-Browser: https://salsa.debian.org/debian/acr

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --mandir=/usr/share/man

execute_after_dh_auto_install:
	mkdir -p debian/acr/usr/share/vim/
	mv debian/acr/usr/share/doc/acr/vim/ftplugin debian/acr/usr/share/vim/
	mv debian/acr/usr/share/doc/acr/vim/syntax debian/acr/usr/share/vim/
	rm -rf debian/acr/usr/share/doc/acr/vim

=== debian/tests/control ===
Test-Command: acr -h| grep -i usage
Restrictions: superficial
